## stormbaancoureur 2.1.1

=== src-stormbaancoureur/Makefile ===
VERSION=2.1.1-generic

# EDIT THESE SETTINGS

GLPREFIX=/usr
PLIBPREFIX=/usr
ODEPREFIX=/usr
CXX=g++
LIBDIRNAME=lib

#PLIBPREFIX=$(HOME)
#ODEPREFIX=$(HOME)
#CXX=g++

# END OF CUSTOM SETTINGS

CXXFLAGS=\
  -I$(GLPREFIX)/include \
  -I$(ODEPREFIX)/include \
  -I$(PLIBPREFIX)/include \
  -I../src-common \
  -DGAMEVERSION=$(VERSION) \
  -O2 -g -Wall

LFLAGS=\
  -L$(PLIBPREFIX)/$(LIBDIRNAME) \
  -L/usr/X11R6/$(LIBDIRNAME)


OBJS=\
  staticworldobject.o \
  dynamicobject.o \
  soundenginealsa.o \
  controllerpad.o \
  controllerkey.o \
  carobject.o \
  texture.o \
  tga.o \
  intro.o \
  vectortext.o \
  postscore.o \
  main.o


LIBS=\
  $(ODEPREFIX)/$(LIBDIRNAME)/libode.a \
  -lplibssgaux -lplibssg -lplibsg -lplibpu -lplibfnt -lplibul \
  -lglut -lGLU -lGL -lasound


all: stormbaancoureur


stormbaancoureur: $(OBJS) $(ODEPREFIX)/$(LIBDIRNAME)/libode.a
	$(CXX) -o stormbaancoureur $(OBJS) $(LFLAGS) $(LIBS)

staticworldobject.o: ../src-common/staticworldobject.cxx ../src-common/staticworldobject.h ../src-common/worldobject.h
	$(CXX) -c $(CXXFLAGS) ../src-common/staticworldobject.cxx

dynamicobject.o: ../src-common/dynamicobject.cxx ../src-common/dynamicobject.h ../src-common/worldobject.h
	$(CXX) -c $(CXXFLAGS) ../src-common/dynamicobject.cxx

carobject.o: carobject.cxx carobject.h
	$(CXX) -c $(CXXFLAGS) carobject.cxx

controllerpad.o: controllerpad.cxx controller.h ../src-common/joydb.h
	$(CXX) -c $(CXXFLAGS) controllerpad.cxx

controllerkey.o: controllerkey.cxx
	$(CXX) -c $(CXXFLAGS) controllerkey.cxx

texture.o: texture.cxx
	$(CXX) -c $(CXXFLAGS) texture.cxx

tga.o: tga.cxx
	$(CXX) -c $(CXXFLAGS) tga.cxx

intro.o: intro.cxx intro.h
	$(CXX) -c $(CXXFLAGS) intro.cxx

vectortext.o: vectortext.cxx vectortext.h
	$(CXX) -c $(CXXFLAGS) vectortext.cxx

postscore.o: postscore.cxx postscore.h
	$(CXX) -c $(CXXFLAGS) postscore.cxx

soundenginealsa.o: ../src-common/soundenginealsa.cxx ../src-common/soundenginealsa.h ../src-common/soundfeed.h ../src-common/soundclip.h
	$(CXX) -c $(CXXFLAGS) ../src-common/soundenginealsa.cxx

main.o: main.cxx ../src-common/usercam.h ../src-common/trackingcam.h ../src-common/soundenginealsa.h cratewall.h controller.h intro.h plodegui.h doorstand.h carpettrack.h spikejump.h ferriswheel.h turntable.h sturmbahn.h ../src-common/modelmap.h starsky.h carobject.h respawnpoint.h
	$(CXX) -c $(CXXFLAGS) main.cxx

debugrun: stormbaancoureur
	PLODE_DATADIR=`pwd` gdb ./stormbaancoureur

run: stormbaancoureur
	PLODE_DATADIR=`pwd` ./stormbaancoureur

clean:
	rm -f *.o stormbaancoureur

GAMEDIR=$(DESTDIR)/usr/share/games/stormbaancoureur
install: stormbaancoureur
	# Directories
	mkdir -p $(DESTDIR)/usr/games/
	mkdir -p $(GAMEDIR)/images/
	mkdir -p $(GAMEDIR)/sounds/
	mkdir -p $(GAMEDIR)/shaders/
	mkdir -p $(GAMEDIR)/models/
	# Binary
	install stormbaancoureur $(DESTDIR)/usr/games/stormbaancoureur
	# Images
	install -m 644 images/info_carpet_smooth.rgb $(GAMEDIR)/images/info_carpet_smooth.rgb
	install -m 644 images/info_door_smooth.rgb $(GAMEDIR)/images/info_door_smooth.rgb
	install -m 644 images/info_jump_smooth.rgb $(GAMEDIR)/images/info_jump_smooth.rgb
	install -m 644 images/spot.tga $(GAMEDIR)/images/spot.tga
	# Sounds
	install -m 644 sounds/rpm_graph.txt $(GAMEDIR)/sounds/rpm_graph.txt
	install -m 644 sounds/camaro_s16_le.wav $(GAMEDIR)/sounds/camaro_s16_le.wav
	install -m 644 sounds/detonationnorm_s16_le.wav $(GAMEDIR)/sounds/detonationnorm_s16_le.wav
        # Shaders
	install -m 644 shaders/bramlight.fp $(GAMEDIR)/shaders/bramlight.fp
	install -m 644 shaders/bramlight.vp $(GAMEDIR)/shaders/bramlight.vp
	# Models (car parts)
	install -m 644 models/coilspring.3ds $(GAMEDIR)/models/coilspring.3ds
	install -m 644 models/fivespoke.3ds $(GAMEDIR)/models/fivespoke.3ds
	install -m 644 models/frame.3ds $(GAMEDIR)/models/frame.3ds
	install -m 644 models/leafspring.3ds $(GAMEDIR)/models/leafspring.3ds
	install -m 644 models/rearaxle.3ds $(GAMEDIR)/models/rearaxle.3ds
	install -m 644 models/spindle.3ds $(GAMEDIR)/models/spindle.3ds
	install -m 644 models/wishbone.3ds $(GAMEDIR)/models/wishbone.3ds
	#install -m 644 models/car.3ds $(GAMEDIR)/models/car.3ds
	#install -m 644 models/wheel.3ds $(GAMEDIR)/models/wheel.3ds
	#install -m 644 models/licplate.ac $(GAMEDIR)/models/licplate.ac
	#install -m 644 models/licplate.bmp $(GAMEDIR)/models/licplate.bmp
	#install -m 644 models/truck.3ds $(GAMEDIR)/models/truck.3ds
	# Models (other)
	install -m 644 models/baseplate.3ds $(GAMEDIR)/models/baseplate.3ds
	install -m 644 models/carpet.3ds $(GAMEDIR)/models/carpet.3ds
	install -m 644 models/crate.3ds $(GAMEDIR)/models/crate.3ds
	install -m 644 models/cratejump.3ds $(GAMEDIR)/models/cratejump.3ds
	install -m 644 models/crate_low.3ds $(GAMEDIR)/models/crate_low.3ds
	install -m 644 models/door.3ds $(GAMEDIR)/models/door.3ds
	install -m 644 models/doorstand.3ds $(GAMEDIR)/models/doorstand.3ds
	install -m 644 models/ferriswheelcart.3ds $(GAMEDIR)/models/ferriswheelcart.3ds
	install -m 644 models/ferriswheelstand.3ds $(GAMEDIR)/models/ferriswheelstand.3ds
	install -m 644 models/ferriswheelwheel.3ds $(GAMEDIR)/models/ferriswheelwheel.3ds
	install -m 644 models/finishdoor.3ds $(GAMEDIR)/models/finishdoor.3ds
	install -m 644 models/finishplank.3ds $(GAMEDIR)/models/finishplank.3ds
	install -m 644 models/floppy.3ds $(GAMEDIR)/models/floppy.3ds
	install -m 644 models/grid.3ds $(GAMEDIR)/models/grid.3ds
	install -m 644 models/highjump.3ds $(GAMEDIR)/models/highjump.3ds
	install -m 644 models/jumpboard.3ds $(GAMEDIR)/models/jumpboard.3ds
	install -m 644 models/monoramp.3ds $(GAMEDIR)/models/monoramp.3ds
	install -m 644 models/piston.3ds $(GAMEDIR)/models/piston.3ds
	install -m 644 models/ramp.3ds $(GAMEDIR)/models/ramp.3ds
	install -m 644 models/rod.3ds $(GAMEDIR)/models/rod.3ds
	install -m 644 models/spikegate.3ds $(GAMEDIR)/models/spikegate.3ds
	install -m 644 models/terrain3.3ds $(GAMEDIR)/models/terrain3.3ds
	install -m 644 models/track.3ds $(GAMEDIR)/models/track.3ds
	install -m 644 models/turntable_ramp.3ds $(GAMEDIR)/models/turntable_ramp.3ds
	install -m 644 models/turntable_wheel.3ds $(GAMEDIR)/models/turntable_wheel.3ds

deb:
	strip stormbaancoureur
	fakeroot dpkg-buildpackage -b

## stormbaancoureur 2.1.5

=== src-stormbaancoureur/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=2.1.1-generic
+VERSION=2.1.5-generic
 
 # EDIT THESE SETTINGS
 
@@ -8,10 +8,6 @@
 CXX=g++
 LIBDIRNAME=lib
 
-#PLIBPREFIX=$(HOME)
-#ODEPREFIX=$(HOME)
-#CXX=g++
-
 # END OF CUSTOM SETTINGS
 
 CXXFLAGS=\
@@ -19,6 +15,7 @@
   -I$(ODEPREFIX)/include \
   -I$(PLIBPREFIX)/include \
   -I../src-common \
+  -I. \
   -DGAMEVERSION=$(VERSION) \
   -O2 -g -Wall
 
@@ -34,11 +31,10 @@
   controllerpad.o \
   controllerkey.o \
   carobject.o \
-  texture.o \
-  tga.o \
   intro.o \
   vectortext.o \
   postscore.o \
+  ogl.o \
   main.o
 
 
@@ -69,12 +65,6 @@
 controllerkey.o: controllerkey.cxx
 	$(CXX) -c $(CXXFLAGS) controllerkey.cxx
 
-texture.o: texture.cxx
-	$(CXX) -c $(CXXFLAGS) texture.cxx
-
-tga.o: tga.cxx
-	$(CXX) -c $(CXXFLAGS) tga.cxx
-
 intro.o: intro.cxx intro.h
 	$(CXX) -c $(CXXFLAGS) intro.cxx
 
@@ -86,6 +76,9 @@
 
 soundenginealsa.o: ../src-common/soundenginealsa.cxx ../src-common/soundenginealsa.h ../src-common/soundfeed.h ../src-common/soundclip.h
 	$(CXX) -c $(CXXFLAGS) ../src-common/soundenginealsa.cxx
+
+ogl.o: ../src-common/ogl.cxx 
+	$(CXX) -c $(CXXFLAGS) ../src-common/ogl.cxx
 
 main.o: main.cxx ../src-common/usercam.h ../src-common/trackingcam.h ../src-common/soundenginealsa.h cratewall.h controller.h intro.h plodegui.h doorstand.h carpettrack.h spikejump.h ferriswheel.h turntable.h sturmbahn.h ../src-common/modelmap.h starsky.h carobject.h respawnpoint.h
 	$(CXX) -c $(CXXFLAGS) main.cxx
@@ -129,11 +122,6 @@
 	install -m 644 models/rearaxle.3ds $(GAMEDIR)/models/rearaxle.3ds
 	install -m 644 models/spindle.3ds $(GAMEDIR)/models/spindle.3ds
 	install -m 644 models/wishbone.3ds $(GAMEDIR)/models/wishbone.3ds
-	#install -m 644 models/car.3ds $(GAMEDIR)/models/car.3ds
-	#install -m 644 models/wheel.3ds $(GAMEDIR)/models/wheel.3ds
-	#install -m 644 models/licplate.ac $(GAMEDIR)/models/licplate.ac
-	#install -m 644 models/licplate.bmp $(GAMEDIR)/models/licplate.bmp
-	#install -m 644 models/truck.3ds $(GAMEDIR)/models/truck.3ds
 	# Models (other)
 	install -m 644 models/baseplate.3ds $(GAMEDIR)/models/baseplate.3ds
 	install -m 644 models/carpet.3ds $(GAMEDIR)/models/carpet.3ds

## stormbaancoureur 2.1.6

=== images-stormbaancoureur/Makefile ===
images:
	convert -channel Alpha -gaussian 2 info_carpet.rgb info_carpet_smooth.rgb
	convert -channel Alpha -gaussian 2 info_jump.rgb info_jump_smooth.rgb
	convert -channel Alpha -gaussian 2 info_cart.rgb info_cart_smooth.rgb
	convert -channel Alpha -gaussian 2 info_door.rgb info_door_smooth.rgb

explo:
	convert sm_r20001.tif expl0000.sgi
	convert sm_r20002.tif expl0001.sgi
	convert sm_r20003.tif expl0002.sgi
	convert sm_r20004.tif expl0003.sgi
	convert sm_r20005.tif expl0004.sgi
	convert sm_r20006.tif expl0005.sgi
	convert sm_r20007.tif expl0006.sgi
	convert sm_r20008.tif expl0007.sgi
	convert sm_r20009.tif expl0008.sgi

wolk:
	convert wolk0000.tif wolk0000.sgi
	convert wolk0001.tif wolk0001.sgi
	convert wolk0002.tif wolk0002.sgi
	convert wolk0003.tif wolk0003.sgi
	convert wolk0004.tif wolk0004.sgi
	convert wolk0005.tif wolk0005.sgi
	convert wolk0006.tif wolk0006.sgi
	convert wolk0007.tif wolk0007.sgi
	convert wolk0008.tif wolk0008.sgi
	convert wolk0009.tif wolk0009.sgi
	convert wolk0010.tif wolk0010.sgi
	convert wolk0011.tif wolk0011.sgi
	convert wolk0012.tif wolk0012.sgi
	convert wolk0013.tif wolk0013.sgi
	convert wolk0014.tif wolk0014.sgi
	convert wolk0015.tif wolk0015.sgi

=== src-stormbaancoureur/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=2.1.5-generic
+VERSION=2.1.6-generic
 
 # EDIT THESE SETTINGS
 
@@ -68,8 +68,8 @@
 intro.o: intro.cxx intro.h
 	$(CXX) -c $(CXXFLAGS) intro.cxx
 
-vectortext.o: vectortext.cxx vectortext.h
-	$(CXX) -c $(CXXFLAGS) vectortext.cxx
+vectortext.o: ../src-common/vectortext.cxx ../src-common/vectortext.h
+	$(CXX) -c $(CXXFLAGS) ../src-common/vectortext.cxx
 
 postscore.o: postscore.cxx postscore.h
 	$(CXX) -c $(CXXFLAGS) postscore.cxx

=== debian/changelog ===
stormbaancoureur (2.1.6-5) unstable; urgency=medium

  * Team Upload
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Rewrite d/watch in v5 format
  * Use /usr/share/dpkg/buildflags.mk to provide build flags
  * Rewrite d/copyright in machine-parsable format

 -- Alexandre Detiste <tchet@debian.org>  Wed, 21 Jan 2026 07:33:42 +0100

stormbaancoureur (2.1.6-4) unstable; urgency=medium

  * Team Upload
  * Bump Standards-Version to 4.7.2
  * Add debian/salsa-ci.yml
  * Update Miriam email address
  * Ack/import NMU: thanks

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

 -- Alexandre Detiste <tchet@debian.org>  Wed, 12 Nov 2025 10:21:52 +0100

stormbaancoureur (2.1.6-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build depend on libplib-dev instead of plib1.8.4-dev.
    (Closes: #1023999)

 -- Adrian Bunk <bunk@debian.org>  Fri, 18 Nov 2022 18:12:00 +0200

stormbaancoureur (2.1.6-3) unstable; urgency=medium

  * Team upload.
  * Switch to debhelper-compat = 13.
  * Declare compliance with Debian Policy 4.5.0.
  * Move the package to salsa.debian.org.
  * Fix FTCBFS uses the wrong compiler.
    Thanks to Helmut Grohne for the patch. (Closes: #918311)
  * Mark stormbaancoureur Multi-Arch: foreign.
  * Remove obsolete menu file.
  * d/control: Change priority to optional.

 -- Markus Koschany <apo@debian.org>  Tue, 27 Oct 2020 17:34:35 +0100

stormbaancoureur (2.1.6-2) unstable; urgency=medium

  * Team upload.

  [ Paul Wise ]
  * Install example configuration file (Closes: #592520, #807444)

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org.

  [ Markus Koschany ]
  * Switch to source format 3.0. Remove quilt from Build-Depends and drop
    README.source because source format 3.0 uses quilt by default.
  * Build-Depend simply on libode-dev.
  * wrap-and-sort -sab.
  * Use compat level 9 and require debhelper >= 9.
  * Declare compliance with Debian Policy 3.9.8.
  * Use secure SVN URL.
  * stormbaancoureur-data: Suggest stormbaancoureur.
  * Simplify debian/rules by using dh sequencer and provide build-{arch,indep}
    targets. Fix FTBFS when building with dpkg-buildpackage -A.
    (Closes: #822026, #806874)
  * stormbaancoureur.desktop: Add keywords and a comment in German.
  * Update makefile.patch to use correct MULTIARCH directories and use all
    hardening build flags.
  * debian/rules: Export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed.

 -- Markus Koschany <apo@debian.org>  Wed, 03 Aug 2016 19:38:05 +0200

stormbaancoureur (2.1.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove remaining hard coded libode paths from Makefile including
    a prerequisite on a system installed library with wrong path
    (Closes: #804840)

 -- Andreas Bombe <aeb@debian.org>  Sun, 22 Nov 2015 18:38:09 +0100

stormbaancoureur (2.1.6-1) unstable; urgency=low

  [ Barry deFreese ]
  * New upstream release.
    + Drop gcc-4.4 patch, merged upstream.
    + Uses new leaderboard server. (Closes: #534773).
  * Update Homepage.
  * Bump Standards Version to 3.8.3. (No changes needed).

 -- Barry deFreese <bdefreese@debian.org>  Thu, 03 Dec 2009 19:47:21 -0500

stormbaancoureur (2.1.5-5) unstable; urgency=low

  * Games team upload.
  * Switch back to plib1.8.4-dev since the plib transition isn't yet ready

 -- Paul Wise <pabs@debian.org>  Fri, 10 Apr 2009 22:38:45 +0800

stormbaancoureur (2.1.5-4) unstable; urgency=medium

  [ Paul Wise ]
  * Fix the plib build-dep to libplib-dev

  [ Gonéri Le Bouder ]
  * Add plib-dev as an alternative to libplib-dev
  * Merge makefile_cflags.patch and makefile_libode.patch in
    makefile.patch
  * change makefile so it calls ode-config to get the correct
    gcc parameter for ODE (-I/usr/include -DdDOUBLE)

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Sun, 29 Mar 2009 23:13:30 +0200

stormbaancoureur (2.1.5-3) unstable; urgency=low

  [ Gonéri Le Bouder ]
  * build depends on libode-dev 2:0.10.1-1

  [ Barry deFreese ]
  * Update my e-mail address.
  * Minor syntax fixes in debian/copyright.
  * Remove versioned build-dep on plib1.8.4-dev. (Closes: #516924).
  * Fix typo in package description. (Closes: #478181).
  * gcc44.patch - Build with gcc-4.4. (Closes: #505694).
    + Thanks to Martin Michlmayr for the fix!
  * Bump Standards Version to 3.8.1.

 -- Barry deFreese <bdefreese@debian.org>  Wed, 18 Mar 2009 20:27:28 -0400

stormbaancoureur (2.1.5-2.1) unstable; urgency=high

  * Non-maintainer upload.

  [ Ansgar Burchardt ]
  * Fix typo in debian/copyright

  [ Vincent Fourmond ]
  * Tighten up build-deps to make sure we don't use broken plib (which
    certainly closes: #486866)
  * Make lintian a little happier about long lines in copyright
  * Add a README.source file, which makes it comply to standards 3.8.0
  * urgency=high because it fixes a RC bug in testing

 -- Vincent Fourmond <fourmond@debian.org>  Sun, 20 Jul 2008 19:38:55 +0200

stormbaancoureur (2.1.5-2) unstable; urgency=low

  * Moved back to main

 -- Miriam Ruiz <little_miry@yahoo.es>  Thu, 12 Jun 2008 14:38:28 +0000

stormbaancoureur (2.1.5-1) unstable; urgency=low

  [ Miriam Ruiz ]
  * New Upstream Release.
  * The program and all the data is now licensed under GPLv3 only.
    See src-stormbaancoureur/LICENCE
  * Replaced libode-nonfree0-dev by libode0-dev in Build-Depends

 -- Miriam Ruiz <little_miry@yahoo.es>  Wed, 11 Jun 2008 11:29:09 +0000

stormbaancoureur (2.1.3-2) unstable; urgency=low

  [ Gonéri Le Bouder ]
  * build-depends on libode-nonfree0 to avoid the various bugs of
    libode built with GIMPACT (Closes: #440484, #465464)
  * move stormbaancoureur in contrib

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Tue, 22 Apr 2008 22:25:17 +0200

stormbaancoureur (2.1.3-1) unstable; urgency=low

  [ Barry deFreese ]
  * New upstream release.
    + Don't change selected menu option. (Closes: #465734).


=== debian/control ===
Source: stormbaancoureur
Section: games
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Miriam Ruiz <miriam@debian.org>,
 Barry deFreese <bdefreese@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 freeglut3-dev,
 libasound2-dev,
 libode-dev,
 libplib-dev,
Standards-Version: 4.7.3
Homepage: https://www.stolk.org/stormbaancoureur/
Vcs-Git: https://salsa.debian.org/games-team/stormbaancoureur.git
Vcs-Browser: https://salsa.debian.org/games-team/stormbaancoureur

Package: stormbaancoureur
Architecture: any
Depends:
 stormbaancoureur-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: simulated obstacle course for automobiles
 Your objective is to drive your car along an obstacle course. Success depends
 on total control of the car. If you want to master it, try to have the laws
 of physics work with you, not against you.
 .
 The game was formerly known as Sturmbahnfahrer.

Package: stormbaancoureur-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Suggests:
 stormbaancoureur
Description: game data for Stormbaan Coureur
 Models, images, sounds and other data for Stormbaan Coureur.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --sourcedirectory=src-stormbaancoureur

override_dh_auto_build:
	dh_auto_build -- CFLAGS="$(CPPFLAGS) $(CFLAGS)"

=== debian/watch ===
Version: 5

Source: http://www.stolk.org/stormbaancoureur/download/
Matching-Pattern: stormbaancoureur-([\d.]+).tar.gz
